> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a data provider

> This endpoint retrieves a data provider.



## OpenAPI

````yaml GET /v1/providers/{id}/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/providers/{id}/:
    parameters:
      - name: id
        in: path
        description: A unique value identifying this data provider.
        required: true
        schema:
          type: string
        example: adp
    get:
      tags:
        - Companies and Data Providers
      summary: Retrieve a data provider
      description: This endpoint retrieves a data provider.
      operationId: providers-detail
      parameters:
        - name: product_type
          in: query
          description: Product type
          required: false
          schema:
            type: string
            example: income
            enum:
              - income
              - employment
              - deposit_switch
              - pll
              - insurance
              - transactions
              - assets
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderDetails'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    ProviderDetails:
      allOf:
        - $ref: '#/components/schemas/Provider'
        - type: object
          properties:
            is_oauth:
              description: Whether the provider has OAuth authentication enabled.
              type: boolean
              example: false
            url:
              description: The provider's website URL.
              type: string
              format: uri
              example: https://www.adp.com/
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Provider:
      required:
        - id
        - name
      type: object
      properties:
        id:
          description: ID of provider
          type: string
          example: adp
        name:
          description: Data provider name
          type: string
          example: ADP
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - payroll
            - docs
            - insurance
            - financial_accounts
            - tax
            - scoring_attributes
          example: payroll
        logo_url:
          description: Data provider logo URL
          type: string
          format: uri
          example: https://cdn.truv.com/providers/adp.svg
        is_disabled:
          description: >-
            True if product type for the query parameter `product_type` not
            implemented for the provider yet. If `product_type` query parameter
            is omitted the field will be null.
          type: boolean
          example: false
        success_rate:
          description: Success rate for the provider
          type: string
          enum:
            - low
            - high
            - unsupported
            - null
          example: high
          nullable: true
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````